Main Page Modules Class Hierarchy Compound List File List Compound Members

# const_cIterator Class Reference

`#include <chead.h>`

List of all members.

## Public Methods

| const_cIterator (const cObject &h)
void | init (const cObject &h)
const cObject* | operator() () const
bool | end () const
const cObject* | operator++ (int)

## Detailed Description

Walks along a cHead-cObject list.

## Constructor & Destructor Documentation

const_cIterator::const_cIterator ( | const cObject & h )`[inline]`

| Constructor.

## Member Function Documentation

bool const_cIterator::end ( | ) const`[inline]`

| Returns true if the iterator reached the end of the list.

void const_cIterator::init ( | const cObject & h )`[inline]`

| Reinitialize the iterator.

const cObject * const_cIterator::operator() ( | ) const`[inline]`

| Returns a pointer to the current object.

const cObject * const_cIterator::operator++ ( | int )`[inline]`

| Returns the current item, then moves the iterator to the next one.

The documentation for this class was generated from the following file:

- chead.h